import { IUniform, Material } from 'three';
import { ExtendedLineMaterial, Uniforms } from './SpeckleMaterial';
declare class SpeckleLineMaterial extends ExtendedLineMaterial {
    protected get vertexProgram(): string;
    protected get fragmentProgram(): string;
    protected get baseUniforms(): {
        [uniform: string]: IUniform;
    };
    protected get uniformsDef(): Uniforms;
    set pixelThreshold(value: number);
    constructor(parameters: any, defines?: string[]);
    /** We need a unique key per program */
    customProgramCacheKey(): string;
    copy(source: any): this;
    fastCopy(from: Material, to: Material): void;
    onBeforeRender(_this: any, scene: any, camera: any, geometry: any, object: any, group: any): void;
}
export default SpeckleLineMaterial;
